Bug 1361589 - firewall-config error when using pt-BR language
Summary: firewall-config error when using pt-BR language
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 12:59 UTC by Roberto Lauretti
Modified: 2017-08-08 16:02 UTC (History)
1 user (show)

Fixed In Version: firewalld-0.4.3.3-1.fc24 firewalld-0.4.3.3-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1361612 (view as bug list)
Environment:
Last Closed: 2017-08-08 16:02:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1361612 None None None Never

Internal Links: 1361612

Description Roberto Lauretti 2016-07-29 12:59:08 UTC
Description of problem: 

My user had the Portuguese (Brazil) language set as default. I installed the firewall-config package in order to set up my own firewalld rules. I tried to create a rich rule, however, when I clicked on the button to select the desired element, the new window did not show up.
I have changed the language to English (US), and the problem has been solved, the window to select the elements is displayed.

Version-Release number of selected component (if applicable):

Kernel - 4.6.4-301.fc24.x86_64 #1 SMP Tue Jul 12 11:50:00 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
firewall-config.noarch - 0.4.3.2-1.fc24 
firewalld.noarch - 0.4.3.2-1.fc24  

Steps to Reproduce:

1. Set the user language as Portuguese (Brazil)
2. Open the "Firewall" tool (firewall-config)
3. Select a zone, click on the "Regras Valiosas" tab
4. Create a new rule, select "serviço" ou "porta" as the element and try to click on the button on the same row (the icon is a tool)
5. The window to select the element does not show up.

Actual results:

If I change the language to English, the window to select the element shows up as it should.

Comment 2 Roberto Lauretti 2016-07-29 16:40:43 UTC
Nice! As the upstream code has been patched, does it mean I'll get the fix in one of the next updates?

Thank you!

Comment 3 Thomas Woerner 2016-07-29 16:42:44 UTC
Yes, the next one.

You are welcome.

Comment 4 Fedora Update System 2016-08-16 21:08:25 UTC
firewalld-0.4.3.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-47dc2b203f

Comment 5 Fedora Update System 2016-08-16 21:08:42 UTC
firewalld-0.4.3.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4dedc6ec3d

Comment 6 Fedora Update System 2016-08-16 21:08:54 UTC
firewalld-0.4.3.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de55d2c2c9

Comment 7 Fedora Update System 2016-08-17 19:53:57 UTC
firewalld-0.4.3.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4dedc6ec3d

Comment 8 Fedora Update System 2016-08-18 01:51:29 UTC
firewalld-0.4.3.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47dc2b203f

Comment 9 Fedora Update System 2016-08-18 01:52:16 UTC
firewalld-0.4.3.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de55d2c2c9

Comment 10 Fedora Update System 2016-08-19 19:52:55 UTC
firewalld-0.4.3.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-03 17:39:26 UTC
firewalld-0.4.3.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-10 17:43:02 UTC
firewalld-0.4.4.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2828a4793

Comment 13 Fedora Update System 2016-11-11 04:23:55 UTC
firewalld-0.4.4.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2828a4793

Comment 14 Fedora Update System 2016-12-01 14:54:39 UTC
firewalld-0.4.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 15 Fedora Update System 2016-12-03 04:29:08 UTC
firewalld-0.4.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 16 Fedora Update System 2016-12-05 17:38:14 UTC
firewalld-0.4.4.2-2.fc23 selinux-policy-3.13.1-158.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 17 Fedora Update System 2016-12-13 05:25:27 UTC
firewalld-0.4.4.2-2.fc23, selinux-policy-3.13.1-158.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 18 Fedora End Of Life 2017-07-25 22:08:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 16:02:14 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.